Bug 498618 - Request to bump Cheetah versions for all Fedora/EPEL
Request to bump Cheetah versions for all Fedora/EPEL
Status: CLOSED EOL
Product: Fedora EPEL
Classification: Fedora
Component: python-cheetah (Show other bugs)
el5
All Linux
low Severity medium
: ---
: ---
Assigned To: Mike Bonnet
Fedora Extras Quality Assurance
UpdatePackage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-01 10:43 EDT by Michael DeHaan
Modified: 2017-04-06 06:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-06 06:30:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael DeHaan 2009-05-01 10:43:19 EDT
Description of problem:

I had a user hit this Cheetah problem: http://www.nabble.com/module.__init__()-argument-1-must-be-string,-not-unicode-td15925945.html and found out that the version we have in EPEL (and Fedora 10) is 2.0.1, last released in 2007.

As we know from the mailing list, the maintainer is basically AWOL, and while he has replied to the mailing list, has not shown a good history of doing releases.

Someone else has stepped up though and put out new versions with bugfixes:

http://rtyler.github.com/cheetah/download.html

From this, I think we should move to the new versions.
Comment 1 Juha Tuomala 2009-06-30 03:37:41 EDT
irc://irc.freenode.net/cheetah
> <Tuju> does the 2.0 --> 2.2.x break the api?
> <rtyler> 2.2 should be compat with 2.0
> <Tuju> so having update in rhel would not break everything for everybody who have used it?
> <rtyler> yeh, should be
> <rtyler> this biggest change is in terms of the unicode support

I'm not saying either way about upgrading, but rtyler has tried to convince me that it's a good idea and should be done. Making stuff for rhel that uses cheetah is anyway bound to use whatever is shipped and getting support from upstream is bit harder with older (two years) version.
Comment 3 Fedora End Of Life 2017-04-06 06:30:54 EDT
Fedora EPEL 5 changed to end-of-life (EOL) status on 2017-03-31. Fedora EPEL 5
is no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora
or Fedora EPEL, please feel free to reopen this bug against that version. If
you are unable to reopen this bug, please file a new report against the current
release. If you experience problems, please add a comment to this bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.